#
# spec file for package rubygem-down
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-down
Version:        5.4.1
Release:        1.3
%define mod_name down
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/janko/down
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Robust streaming downloads using Net::HTTP, HTTP.rb or wget
License:        MIT

%description
Robust streaming downloads using Net::HTTP, HTTP.rb or wget.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- ## 5.4.1 (2023-05-20)
  * Handle additional params in `Content-Disposition` header (@janko)
  * Add ability to detect response URI when using net/http (@aglushkov)
  * Avoid deprecation warning in HTTPX (@ollym)
  * Handle unknown response status in net/http backend (@janko)
  [#]# 5.4.0 (2022-12-26)
  * Add new HTTPX backend, which supports HTTP/2 protocol among other features (@HoneyryderChuck)
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 5.3.1
  see installed CHANGELOG.md
  [#]# 5.3.1 (2022-03-25)
  * Correctly split cookie headers on `;` instead of `,` when forwarding them on redirects (@ermolaev)
* Thu Mar  3 2022 Stephan Kulow <coolo@suse.com>
  updated to version 5.3.0
  see installed CHANGELOG.md
  [#]# 5.3.0 (2022-02-20)
  * Add `:extension` argument to `Down.download` for overriding tempfile extension (@razum2um)
  * Normalize response header names for http.rb and wget backends (@zarqman)
  [#]# 5.2.4 (2021-09-12)
  * Keep original cookies between redirections (@antprt)
* Wed Aug 25 2021 Dan Čermák <dcermak@suse.com>
- Initial package version of rubygem-down
